### Method

# AppStream SystemInfo has_device_matching_modalias

#### Declaration [src]

    gboolean
    as_system_info_has_device_matching_modalias (
      AsSystemInfo* sysinfo,
      const gchar* modalias_glob
    )

#### Description [src]

Check if there is a device on this system that matches the given modalias glob.

#### Parameters

`modalias_glob`

  Type: `const gchar*`

  The modalias value to to look for, may contain wildcards.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if a matching device was found.